Bug 1980193 - Review Request: golang-github-schollz-pake-3 - PAKE library for generating a strong secret between parties over an insecure channel
Summary: Review Request: golang-github-schollz-pake-3 - PAKE library for generating a ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1980191
Blocks: 1980196
TreeView+ depends on / blocked
 
Reported: 2021-07-08 04:19 UTC by Davide Cavalca
Modified: 2022-03-26 15:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-22 23:03:21 UTC
Type: ---
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-08 04:19:18 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-pake/golang-github-schollz-pake.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-pake/golang-github-schollz-pake-3.0.2-1.fc35.src.rpm

Description:

PAKE library for generating a strong secret between parties over an insecure
channel.

Fedora Account System Username: dcavalca

Comment 2 Hirotaka Wakabayashi 2021-12-25 06:06:21 UTC
Hello David, Tests are still failing in Koji scratch build. Please see
https://koji.fedoraproject.org/koji/taskinfo?taskID=80448411

Hirotaka

Comment 3 Davide Cavalca 2021-12-25 08:00:59 UTC
Looks like this is an issue specific to golang-1.18beta1, the tests pass with 1.16.12 and 1.17.5, but with 1.18beta1 (which is what's currently in rawhide) I get

--- FAIL: TestSessionKeyString (0.05s)
    pake_test.go:68: 
        	Error Trace:	pake_test.go:68
        	Error:      	Not equal: 
        	            	expected: []byte{0x7c, 0x20, 0x82, 0x33, 0x35, 0xe, 0x1a, 0x0, 0xb2, 0x13, 0xdb, 0xbf, 0xbd, 0x5c, 0xc9, 0xa, 0xca, 0xdb, 0xcd, 0xe8, 0x45, 0x40, 0x33, 0x1b, 0x21, 0xa5, 0x2b, 0x36, 0x94, 0x71, 0x29, 0x4a}
        	            	actual  : []byte{0x97, 0x9f, 0x29, 0x69, 0xe6, 0x90, 0xd2, 0x31, 0x74, 0x95, 0xd0, 0xa2, 0xfe, 0x9e, 0xd, 0x81, 0x5c, 0xd2, 0x9a, 0xe4, 0x21, 0x17, 0x0, 0xf4, 0x4d, 0x96, 0x17, 0x2e, 0xba, 0x84, 0xe2, 0x11}
        	            	
        	            	Diff:
        	            	--- Expected
        	            	+++ Actual
        	            	@@ -1,4 +1,4 @@
        	            	 ([]uint8) (len=32) {
        	            	- 00000000  7c 20 82 33 35 0e 1a 00  b2 13 db bf bd 5c c9 0a  || .35........\..|
        	            	- 00000010  ca db cd e8 45 40 33 1b  21 a5 2b 36 94 71 29 4a  |....E@3.!.+6.q)J|
        	            	+ 00000000  97 9f 29 69 e6 90 d2 31  74 95 d0 a2 fe 9e 0d 81  |..)i...1t.......|
        	            	+ 00000010  5c d2 9a e4 21 17 00 f4  4d 96 17 2e ba 84 e2 11  |\...!...M.......|
        	            	 }
        	Test:       	TestSessionKeyString
    pake_test.go:68: 
        	Error Trace:	pake_test.go:68
        	Error:      	Not equal: 
        	            	expected: []byte{0xee, 0x76, 0xe4, 0x99, 0xe, 0xda, 0xbe, 0x44, 0x40, 0x96, 0x72, 0xf8, 0x76, 0xb5, 0x98, 0x0, 0x32, 0x92, 0xd7, 0xb9, 0xfc, 0x9b, 0xc9, 0xe5, 0x68, 0xc0, 0x5b, 0xd5, 0x3c, 0xc5, 0xa, 0x5e}
        	            	actual  : []byte{0x48, 0xd8, 0x2c, 0xa5, 0x39, 0x61, 0x4c, 0xbf, 0x70, 0x4, 0x39, 0xe3, 0x4f, 0x22, 0x93, 0x6, 0x0, 0x60, 0xfa, 0x85, 0x3a, 0xe3, 0x2, 0x67, 0x9b, 0xcd, 0xfc, 0xe1, 0xe2, 0x21, 0x41, 0x9e}
        	            	
        	            	Diff:
        	            	--- Expected
        	            	+++ Actual
        	            	@@ -1,4 +1,4 @@
        	            	 ([]uint8) (len=32) {
        	            	- 00000000  ee 76 e4 99 0e da be 44  40 96 72 f8 76 b5 98 00  |.v.....D@.r.v...|
        	            	- 00000010  32 92 d7 b9 fc 9b c9 e5  68 c0 5b d5 3c c5 0a 5e  |2.......h.[.<..^|
        	            	+ 00000000  48 d8 2c a5 39 61 4c bf  70 04 39 e3 4f 22 93 06  |H.,.9aL.p.9.O"..|
        	            	+ 00000010  00 60 fa 85 3a e3 02 67  9b cd fc e1 e2 21 41 9e  |.`..:..g.....!A.|
        	            	 }
        	Test:       	TestSessionKeyString
FAIL
exit status 1
FAIL	github.com/schollz/pake/v3	0.066s

Comment 4 Davide Cavalca 2021-12-25 08:04:41 UTC
Adding Change owners from https://fedoraproject.org/wiki/Changes/golang1.18 for feedback

Comment 5 Alejandro Sáez Morollón 2022-01-05 08:41:35 UTC
I reported it to the upstream project as I was able to reproduce it without any Fedora tool involved, just by using the upstream project and the upstream 1.18beta1 release.

https://github.com/schollz/pake/issues/7

Comment 7 Hirotaka Wakabayashi 2022-02-21 01:36:13 UTC
Hi, I will review this. 

Koji build(success):
https://koji.fedoraproject.org/koji/taskinfo?taskID=83103602

Hirotaka

Comment 8 Hirotaka Wakabayashi 2022-02-21 12:14:00 UTC
Hello Davide, mostly approved, but one error in rpmlint. Please see the
attached.

Regards,
Hirotaka

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The 'Summary:' must not exceed 80 characters.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
$ rpmlint golang-github-schollz-pake-3.0.3-1.fc37.src.rpm 
============================================================ rpmlint session starts ===========================================================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

golang-github-schollz-pake.src: E: summary-too-long PAKE library for generating a strong secret between parties over an insecure channel
golang-github-schollz-pake.spec: W: no-%build-section
============================= 1 packages and 0 specfiles checked; 1 errors, 1 warnings, 1 badness; has taken 0.5 s ============================


$ rpmlint golang-github-schollz-pake-devel-3.0.3-1.fc37.noarch.rpm 
============================================================ rpmlint session starts ===========================================================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

golang-github-schollz-pake-devel.noarch: E: summary-too-long PAKE library for generating a strong secret between parties over an insecure channel
golang-github-schollz-pake-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/schollz/pake/.goipath
golang-github-schollz-pake-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/pake/README.md /usr/share/doc/golang-github-schollz-pake-devel/README.md
============================= 1 packages and 0 specfiles checked; 1 errors, 2 warnings, 1 badness; has taken 0.1 s ============================


Source checksums
----------------
https://github.com/schollz/pake/archive/v3.0.3/pake-3.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 088f131e8714d248f0895858bc33f41bc7eac3a1af3b5c41c6f46cf5e870520e
  CHECKSUM(SHA256) upstream package : 088f131e8714d248f0895858bc33f41bc7eac3a1af3b5c41c6f46cf5e870520e


Requires
--------
golang-github-schollz-pake-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/tscholl2/siec)



Provides
--------
golang-github-schollz-pake-devel:
    golang(github.com/schollz/pake)
    golang-github-schollz-pake-devel
    golang-ipath(github.com/schollz/pake)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1980193
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: SugarActivity, C/C++, R, Ocaml, Perl, Java, fonts, Python, Haskell, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Hirotaka Wakabayashi 2022-02-22 13:21:43 UTC
Hello, Package approved. Good job!

Regards,
Hirotaka

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- no issues.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
$ rpmlint golang-github-schollz-pake-3.0.3-1.fc37.src.rpm 
============================================= rpmlint session starts =============================================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

golang-github-schollz-pake.spec: W: no-%build-section
============== 1 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.2 s ==============

$ rpmlint golang-github-schollz-pake-devel-3.0.3-1.fc37.noarch.rpm 
============================================= rpmlint session starts =============================================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

golang-github-schollz-pake-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/schollz/pake/.goipath
golang-github-schollz-pake-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/pake/README.md /usr/share/doc/golang-github-schollz-pake-devel/README.md
============== 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.1 s ==============

Source checksums
----------------
https://github.com/schollz/pake/archive/v3.0.3/pake-3.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 088f131e8714d248f0895858bc33f41bc7eac3a1af3b5c41c6f46cf5e870520e
  CHECKSUM(SHA256) upstream package : 088f131e8714d248f0895858bc33f41bc7eac3a1af3b5c41c6f46cf5e870520e


Requires
--------
golang-github-schollz-pake-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/tscholl2/siec)



Provides
--------
golang-github-schollz-pake-devel:
    golang(github.com/schollz/pake)
    golang-github-schollz-pake-devel
    golang-ipath(github.com/schollz/pake)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1980193
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ocaml, SugarActivity, Java, Python, C/C++, PHP, fonts, Perl, R, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 11 Davide Cavalca 2022-02-22 13:39:46 UTC
Thanks!

$ fedpkg request-repo golang-github-schollz-pake-3 1980193
https://pagure.io/releng/fedora-scm-requests/issue/42495

Comment 12 Gwyn Ciesla 2022-02-22 22:41:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-schollz-pake-3

Comment 13 Fedora Update System 2022-02-22 23:00:11 UTC
FEDORA-2022-abdc183837 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-abdc183837

Comment 14 Fedora Update System 2022-02-22 23:03:21 UTC
FEDORA-2022-abdc183837 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-03-02 17:23:57 UTC
FEDORA-2022-d20766f5b2 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d20766f5b2

Comment 16 Fedora Update System 2022-03-02 18:37:07 UTC
FEDORA-2022-550d60bc31 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-550d60bc31

Comment 17 Fedora Update System 2022-03-02 19:43:47 UTC
FEDORA-2022-d20766f5b2 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-d20766f5b2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d20766f5b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-03-03 16:38:50 UTC
FEDORA-2022-550d60bc31 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-550d60bc31 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-550d60bc31

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2022-03-11 14:43:47 UTC
FEDORA-2022-550d60bc31 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-03-26 15:07:10 UTC
FEDORA-2022-d20766f5b2 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.